[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [Subclipse-users] Select revision in dialogue

From: Tom Walter <tom.walter_at_hitwise.com>
Date: Tue, 27 Oct 2009 09:02:47 +1100

Thanks Mark. I didn't know about the shift-select feature. That is great.

I am using the collabnet merge client, however this dialogue still
appears when you choose the "merge two different trees" option.

Incidentally, even with the shift-select feature, one use case that this
dialogue doesn't really cover is when you want to roll something back,
ie merge from a later revision to an earlier one to remove some change.
It always assumes that the earlier revision is the FROM and the later
the TO. However that's a minor niggle and occurs rarely enough its no
problem to just enter them manually in that case.

Thanks.

Mark Phippard wrote:
> On Mon, Oct 26, 2009 at 1:35 AM, Tom Walter <tom.walter_at_hitwise.com> wrote:
>
>> When you use the merge wizard, and merge a range of revisions, if you go
>> to FROM and 'Select' and choose revision 1000, the TO revision is set to
>> 1001 automatically. That isn't so bad if you only ever want to merge
>> single revisions, however if you then go to the TO revision, and use
>> 'Select' to choose 2000, then the FROM is changed to 1999. This is a bit
>> annoying and means you have to open the select dialogue again, memorise
>> the revision, and then close the dialogue without choosing it, and type
>> in the memorised revision manually.
>>
>> It would make sense to set the other revision automatically if no
>> revision has already been set. However if the other revision has already
>> been set, it shouldn't be modified.
>>
>> Is this a bug report or a feature request?
>>
>
> I agree that does not seem right, feel free to enter a bug report.
> That said here are a couple other comments:
>
> 1) The Select Dialog was meant to allow you to select a range. So you
> can shift-select that entire range and have both values filled in
> automatically.
>
> 2) The Subclipse merge UI is old and largely outdated. We have
> replaced it with the CollabNet Merge client which is EPL licensed and
> available from the Subclipse update site. This is really the merge
> functionality you ought to be using.
>
>

------------------------------------------------------
http://subclipse.tigris.org/ds/viewMessage.do?dsForumId=1047&dsMessageId=2411541

To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_subclipse.tigris.org].
Received on 2009-10-26 23:02:31 CET

This is an archived mail posted to the Subclipse Users mailing list.